| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Search
Search.Grammar

Modules
Lexer
Classes
AbstractParser
AndNode
DateNode
DefaultParser
OrNode
ParseNode
TextNode
Methods
getDefaultFields()
optimize()
remove_stop_words()

Search.Grammar.getDefaultFields() | Search.Grammar.remove_stop_words()

# Method Search.Grammar.optimize()

Method optimize

  `ParseNode optimize(ParseNode node, string|void parentOp)`